(function() {
	"use strict";

	window.app.directive('inventoryTypeAdd', inventoryTypeAdd);

	function inventoryTypeAdd() {
		return {
			templateUrl: '/inventoryType/template/inventoryTypeAdd.tmpl.cshtml',
			controller: controller,
			controllerAs: 'vm'
		}
	}

	controller.$inject = ['$scope', 'inventoryTypeSvc'];

	function controller($scope, inventoryTypeSvc) {
		var vm = this;

		vm.add = add;
		vm.saving = false;
		vm.inventoryType = {};

		vm.errorMessages = [];
		
		function add() {
			vm.saving = true;
			inventoryTypeSvc.add(vm.inventoryType)
				.success(function () {
					//Close the modal
					$scope.$close();
				})
				.error(function(data) {
					vm.errorMessages = angular.copy(data.errorMessages, vm.errorMessages);
				})
				.finally(function() {
					vm.saving = false;
				});
		}
	}
})();